﻿using UnityEngine;

using System.Collections;



public class PlayerController : MonoBehaviour {

	private Vector3 pos;

	private Vector3 WorldPointPos;



	void Update (){

		//マウス位置座標をVector3で取得

		pos = Input.mousePosition;

		// マウス位置座標をスクリーン座標からワールド座標に変換する

		WorldPointPos = Camera.main.ScreenToWorldPoint (pos);



		// 壁を突き抜けないようにx軸の移動範囲を限定

		if (WorldPointPos.x <= -2.1f) {

			WorldPointPos.x = -2.1f;

		} else if (WorldPointPos.x >= 2.1f) {

			WorldPointPos.x = 2.1f;

		}

		//y軸とz軸は固定

		WorldPointPos.y = -3.0f;

		WorldPointPos.z = 0.0f;



		// ワールド座標をPlayer位置へ変換

		gameObject.transform.position = WorldPointPos;

	}

}